# Record Class VulkanSemaphoreTimelineWait

java.lang.Object
java.lang.Record
com.io7m.jcoronado.api.VulkanSemaphoreTimelineWait

Record Components:
  `semaphore` - The semaphore
  `value` - The value

public record VulkanSemaphoreTimelineWait(VulkanSemaphoreTimelineType semaphore, long value) extends Record
A request to wait until the given semaphore has at least the given value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanSemaphoreTimelineWait(VulkanSemaphoreTimelineType semaphore, long value)`
  A request to wait until the given semaphore has at least the given value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `VulkanSemaphoreTimelineType`
  `semaphore()`
  Returns the value of the `semaphore` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `long`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanSemaphoreTimelineWait

    public VulkanSemaphoreTimelineWait(VulkanSemaphoreTimelineType semaphore, long value)
    A request to wait until the given semaphore has at least the given value.
    Parameters:
      `semaphore` - The semaphore
      `value` - The value

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### semaphore

    public VulkanSemaphoreTimelineType semaphore()
    Returns the value of the `semaphore` record component.
    Returns:
      the value of the `semaphore` record component

  - ### value

    public long value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component